Bug 545026 - Cannot print any file whose name ends in '.css'
Summary: Cannot print any file whose name ends in '.css'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-07 11:37 UTC by Tim Waugh
Modified: 2010-01-04 21:18 UTC (History)
3 users (show)

Fixed In Version: 1.4.2-20.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-27 20:32:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3442 None None None Never

Description Tim Waugh 2009-12-07 11:37:32 UTC
Description of problem:
The default CUPS mime.types file defines a text/css type for any file ending in .css but there is no conversion defined for that type in mime.convs.

Version-Release number of selected component (if applicable):
cups-1.4.2-7.fc11

How reproducible:
100%

Steps to Reproduce:
1.echo . > test.css
2.lp test.css
  
Actual results:
lp: successful-ok

Expected results:
request id is ... (1 file(s))

Additional info:
Problem originally described on fedora-list:
  https://www.redhat.com/archives/fedora-list/2009-December/msg00597.html

Comment 1 Tim Waugh 2009-12-07 17:15:42 UTC
Reported upstream with patch.

Comment 2 Fedora Update System 2009-12-08 14:37:16 UTC
cups-1.4.2-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cups-1.4.2-14.fc11

Comment 3 Fedora Update System 2009-12-08 14:39:30 UTC
cups-1.4.2-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cups-1.4.2-14.fc12

Comment 4 Fedora Update System 2009-12-10 04:06:27 UTC
cups-1.4.2-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 5 Fedora Update System 2009-12-10 04:15:50 UTC
cups-1.4.2-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 6 Fedora Update System 2009-12-11 18:35:43 UTC
cups-1.4.2-16.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12942

Comment 7 Fedora Update System 2009-12-11 18:38:06 UTC
cups-1.4.2-16.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12971

Comment 8 Fedora Update System 2009-12-27 20:31:48 UTC
cups-1.4.2-20.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-04 21:17:54 UTC
cups-1.4.2-20.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.